package Equipment
{
function SetEquipment(%player, %set)
{
  %usingSet = "NULL.. probably an error";
//	error("equping Player "@%player@" with set"@%set);
	switch (%set)
	{
		case 0:
      %usingSet = "Light Explosive";
			%player.setArmor("Light");

			%player.setInventory(EnergyPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(Grenade,5);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 20);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(GrenadeLauncher, 1);
			%player.setInventory(GrenadeLauncherAmmo, 10);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Disc");
			%player.weaponCount = 3;

		case 1:
  	  %usingSet = "Light Medic";

			%player.setArmor("Light");

			%player.setInventory(RepairPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,5);

			%player.setInventory(Blaster,1);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Chaingun, 1);
			%player.setInventory(ChaingunAmmo, 100);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Chaingun");
			%player.weaponCount = 3;

		case 2:
  	  %usingSet = "Light Assassin";

			%player.setArmor("Light");

			%player.setInventory(CloakingPack, 1);
			%player.setInventory(RepairKit,1);
			%player.setInventory(FlashGrenade,5);
			%player.setInventory(Mine,3);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 20);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(ShockLance,1);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Disc");
			%player.weaponCount = 3;

		case 3:
		  %usingSet = "Light Sniper";

			%player.setArmor("Light");

			%player.setInventory(EnergyPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,5);

			%player.setInventory(Chaingun,1);
			%player.setInventory(ChaingunAmmo,100);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(SniperRifle, 1);
			%player.setInventory(TargetingLaser, 1);

			%player.use("SniperRifle");
			%player.weaponCount = 3;

		case 4:
      %usingSet = "Light Infantry";
			%player.setArmor("Light");

			%player.setInventory(RepairKit,1);
			%player.setInventory(AmmoPack, 1);

			%player.setInventory(Blaster,1);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Chaingun, 1);
			%player.setInventory(ChaingunAmmo, 100);
			%player.setInventory(TargetingLaser, 1);
			%player.setInventory(Grenade,6);
			%player.setInventory(Mine,3);

			%player.use("Blaster");
			%player.weaponCount = 3;

		case 5:
		  %usingSet = "Medium Attacker";

			%player.setArmor("Medium");

			%player.setInventory(ShieldPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(Grenade,6);
			%player.setInventory(Mine,3);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 40);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(ElfGun, 1);
			%player.setInventory(GrenadeLauncher,1);
			%player.setInventory(GrenadeLauncherAmmo, 10);
			%player.setInventory(TargetingLaser, 1);

			%player.use("GrenadeLauncher");
			%player.weaponCount = 4;

		case 6:
		  %usingSet = "Medium Frontline";

			%player.setArmor("Medium");

			%player.setInventory(AmmoPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(Grenade,6);
			%player.setInventory(Mine,3);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 40);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(GrenadeLauncher, 1);
			%player.setInventory(GrenadeLauncherAmmo, 10);
			%player.setInventory(MissileLauncher,1);
			%player.setInventory(MissileLauncherAmmo, 10);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Plasma");
			%player.weaponCount = 4;

		case 7:
		  %usingSet = "Medium Support";

			%player.setArmor("Medium");

			%player.setInventory(RepairPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,6);

			%player.setInventory(Blaster, 1);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Elf, 1);
			%player.setInventory(Chaingun,1);
			%player.setInventory(ChaingunAmmo, 150);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Disc");
			%player.weaponCount = 4;

		case 8:
     %usingSet = "Medium Disrupter";  // --Capto

			%player.setArmor("Medium");

			%player.setInventory(SensorJammerPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,6);

			%player.setInventory(Blaster, 1);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 40);
			%player.setInventory(Chaingun,1);
			%player.setInventory(ChaingunAmmo, 150);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Disc");
			%player.weaponCount = 4;
			echo("Heavy Energy");

		case 9:
      %usingSet = "Heavy Long Range";

			%player.setArmor("Heavy");

			%player.setInventory(EnergyPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(Grenade,8);
			%player.setInventory(Mine,3);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 50);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Mortar, 1);
			%player.setInventory(MortarAmmo, 10);
			%player.setInventory(MissileLauncher,1);
			%player.setInventory(MissileLauncherAmmo, 15);
			%player.setInventory(GrenadeLauncher,1);
			%player.setInventory(GrenadeLauncherAmmo,15);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Mortar");
			%player.weaponCount = 5;

		case 10:
  	  %usingSet = "Heavy Support";

			%player.setArmor("Heavy");

			%player.setInventory(AmmoPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(Grenade,8);
			%player.setInventory(Mine,3);

			%player.setInventory(Chaingun, 1);
			%player.setInventory(ChaingunAmmo, 200);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Mortar, 1);
			%player.setInventory(MortarAmmo, 10);
			%player.setInventory(Plasma,1);
			%player.setInventory(PlasmaAmmo, 50);
			%player.setInventory(GrenadeLauncher,1);
			%player.setInventory(GrenadeLauncherAmmo,15);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Mortar");
			%player.weaponCount = 5;

		case 11:
  	  %usingSet = "Heavy Frontline";

			%player.setArmor("Heavy");

			%player.setInventory(ShieldPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,8);
			%player.setInventory(Mine,3);

			%player.setInventory(Plasma, 1);
			%player.setInventory(PlasmaAmmo, 50);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Mortar, 1);
			%player.setInventory(MortarAmmo, 10);
			%player.setInventory(ShockLance,1);
			%player.setInventory(Chaingun,1);
			%player.setInventory(ChaingunAmmo,200);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Mortar");
			%player.weaponCount = 5;

    case 12:
      %usingSet = "Heavy Mobile";

  		%player.setArmor("Heavy");
      %player.setInventory(EnergyPack, 1);

			%player.setInventory(RepairKit,1);
			%player.setInventory(ConcussionGrenade,8);
			%player.setInventory(Mine,3);

			%player.setInventory(Chaingun, 1);
			%player.setInventory(ChaingunAmmo, 200);
			%player.setInventory(Disc,1);
			%player.setInventory(DiscAmmo, 15);
			%player.setInventory(Mortar, 1);
			%player.setInventory(MortarAmmo, 10);
			%player.setInventory(Blaster,1);
			%player.setInventory(GrenadeLauncher,1);
			%player.setInventory(GrenadeLauncherAmmo,15);
			%player.setInventory(TargetingLaser, 1);

			%player.use("Disc");
			%player.weaponCount = 5;
	}
}
};
activatePackage(Equipment);
